List Webhooks
curl --request POST \
--url https://api.mixpeek.com/v1/organizations/webhooks/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"is_active": true
}
'import requests
url = "https://api.mixpeek.com/v1/organizations/webhooks/list"
payload = {
"event_type": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_type: '<string>', is_active: true})
};
fetch('https://api.mixpeek.com/v1/organizations/webhooks/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"webhook_name": "<string>",
"event_types": [],
"channels": [
{
"configs": {
"to_addresses": [
"<string>"
],
"subject_template": "<string>",
"body_template": "<string>",
"content_type": "html",
"cc_addresses": [
"<string>"
],
"bcc_addresses": [
"<string>"
]
}
}
],
"webhook_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"next_page": "<string>",
"previous_page": "<string>",
"next_cursor": "<string>"
},
"total": 123
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Webhooks
List Webhooks
List all webhooks for the user’s organization.
POST
/
v1
/
organizations
/
webhooks
/
list
List Webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
1 <= x <= 1000Required range:
0 <= x <= 10000Required range:
x >= 1Body
application/json
Response
Successful Response
Was this page helpful?
⌘I

